Get Source Detail
Get source detail with related memories and revision chain.
Path Parameters
source_id*Source Id
Query Parameters
space_id?|
Optional isolation space guard
Response Body
application/json
application/json
curl -X GET "https://example.com/sources/string"{ "source": { "id": "string", "source_type": "string", "original_name": "string", "mime_type": "string", "file_path": "string", "parsed_path": "string", "source_url": "string", "sha256": "string", "size_bytes": 0, "version": 1, "space_id": "default", "lifecycle_state": "ingested", "chunk_count": 0, "memory_count": 0, "section_tree": "string", "summary": "string", "error_message": "string", "created_at": "string", "updated_at": "string", "metadata": {}, "label_ids": [ "string" ] }, "memories": [ {} ], "revisions": [ {} ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}